/*
 * Name: syshdr.h
 * Description: This file includes all system headers that are needed and
 *     contains some system dependent defines.
 * Author: Christian Starkjohann <cs@hal.kph.tuwien.ac.at>
 * Date: 1996-12-14
 * Copyright: GNU-GPL
 * Tabsize: 4
 */

#include <sys/types.h>
#include <string.h>
#include <stdlib.h>
#include <stdio.h>
#include <sys/socket.h>
#include <unistd.h>
#include <sys/time.h>
#include <fcntl.h>
#include <sys/errno.h>
#include <errno.h>
#include <sys/param.h>
#include <sys/stat.h>
#include <signal.h>
#include <sys/mount.h>
#include <stdarg.h>
/*
 * System dependent includes:
 */
#define	CONSOLE_DEVICE	"/dev/console"
/* ------------------------------------------------------------------------- */
#ifdef NeXT
#  include <libc.h>
#endif
/* ------------------------------------------------------------------------- */
#ifdef linux
#  define unmount	umount
#endif
/* ------------------------------------------------------------------------- */
/*
 * Interface for functions from "nfs/syscalls.c":
 */
struct sockaddr_in;	/* possibly not defined in any header... */
extern int	syscall_mount(char *dir, void *root_fh, int sock_fd,
												struct sockaddr_in *socket);
